<!--
  Generated template for the LeadPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-blue">Lead</span></h3>
    </ion-title>
  </ion-navbar>
</ion-header>


<ion-content>
	<!-- <section class="home-container">		
		<div class="row survey-row">
		  <div class="col col-style text-center"> <h5>  <ion-icon name="checkmark-circle"></ion-icon>  &nbsp; {{total_lead}}  Total Lead</h5></div>
		</div>            
    </section> -->
    <div class="container">
		     <div class="header">
				<div>
					<div class="color-overlay">
					  <div class="day-number">{{total_lead}}</div>
					  <div class="date-right">
						<div class="day-name">Total Lead</div>
						<div class="month">&nbsp;</div>
					  </div>
					</div>
				</div>
				
				
				<button class="actionbutton" (click)="lead_outlet()">+</button>
		    </div>
		    <div class="timeline">
				<!-- <br />
				<ul>
				  <li *ngFor="let item of data_item">
					<div class="green"> <ion-icon name="color-fill"></ion-icon> &nbsp;</div>
					<div class="desc" (click)="detail_outlet(item.lead_id)">
					  <h3>{{item.nama_outlet}}</h3>
					  <h4>{{item.nama_kontak}}</h4>
					  <h6>{{item.tanggal_fu1}} -   <span *ngIf="item.status_folowup=='0'"> {{item.sts_fw}} </span></h6>
					</div>
				  </li>
				</ul>
				<br />
				<br /> --><br />
				<br />
				<ion-list>
					<ion-item *ngFor="let item of data_item">					  
					  <ion-label class="desc" (click)="detail_outlet(item.lead_id)">
						<h3 text-wrap>{{item.nama_outlet}}</h3>
						<h4>{{item.kategori_outlet}}</h4>
						<h4> {{item.nama_kontak}}</h4>
						<h3>Tanggal FU {{item.tanggal_fu1 | date: 'dd-MM-yyyy'}}</h3> 
						<h6>
							<div *ngIf="item.status_folowup=='0'"> {{item.sts_fw}} 
								<div *ngIf="item.sts_fw !=''">
								(Hasil FU : No Follow Up) 
								</div>
							</div>
						</h6>
						<h6>
							<span *ngIf="item.status_folowup!='0'"> 
								<span *ngIf="item.status_folowup =='1'">
									Done
								</span>
								<span *ngIf="item.status_folowup =='2'">
									Cancel
								</span>								
							</span>
						</h6>
						<h6>
							<span *ngIf="item.hasil_followup!='0'"> 
								<span *ngIf="item.hasil_followup =='1'"> 
									Need Follow Up Again
								</span>
								<span *ngIf="item.hasil_followup =='2'"> 
									Closing
								</span>
								<span *ngIf="item.hasil_followup =='3'"> 
									Not Closing
								</span>
							</span>
						</h6>
					  </ion-label>
					  
					  <div item-end>
							<button ion-button color="success" (click)="detail_outlet(item.lead_id)">
							   <ion-icon name="share-alt"></ion-icon>
							</button>
					  </div>
					</ion-item>
				</ion-list>
			</div>
	 <!-- <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher> -->
  </div>
</ion-content>

<ion-footer style="text-align: center;">
  <ion-toolbar>
    <ion-buttons>
      <button ion-button (click)="goBack()">
        <ion-icon name="home"></ion-icon>
      </button>
	  &nbsp;&nbsp;&nbsp;
      <button ion-button (click)="myProfile()">
        <ion-icon name="contact"></ion-icon>
      </button>
	  &nbsp;&nbsp;&nbsp;
      <button ion-button (click)="myHelp()">
        <ion-icon name="help-circle"></ion-icon>
      </button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>

